This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 755810 - Navigating through pages by entering a page number will show empty translations on target page
Navigating through pages by entering a page number will show empty translatio...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4.2
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
https://translate.zanata.org/zanata/w...
:
Depends On:
Blocks: Zanata-1.4.3
  Show dependency treegraph
 
Reported: 2011-11-22 00:44 EST by Hedda Peters
Modified: 2012-04-23 00:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: Zanata version 1.4.3-alpha-3-SNAPSHOT (20111128-1320)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 00:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hedda Peters 2011-11-22 00:44:38 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.9.2.24) Gecko/20111108 Fedora/3.6.24-1.fc14 Firefox/3.6.24

When entering a page number at the bottom of the workspace to jump to a certain page, the requested target page will open, however all strings appear untranslated. Clicking into certain messages will show existing translation, leaving the editor again and the translation disappears again.
You need to use arrow buttons at the bottom to navigate to one page up then one page down again (to get back to the target page), then the existing content of target page will be displayed correctly.

Other people reportedly also encounter the same phenomenon when using Ctrl+Enter on the last string of a page - the next page opening appears empty. I can't confirm this though.


Reproducible: Always

Steps to Reproduce:
1. Open a file in the workspace
2. Enter a number of the page you want to jump to at the bottom of the screen
3. Hit enter
Actual Results:  
Messages in requested page appear all untranslated

Expected Results:  
Existing translation should be displayed correctly
Comment 2 Ding-Yi Chen 2011-11-29 23:56:35 EST
VERIFIED with Zanata version 1.4.3-alpha-3-SNAPSHOT (20111128-1320)
and Zanata version 1.5-SNAPSHOT (20111129-0927)

Note You need to log in before you can comment on or make changes to this bug.